#!/bin/sh

chown root:shadow etc/shadow.new
chmod 640 etc/shadow.new
chown root:shadow etc/gshadow.new
chmod 640 etc/gshadow.new
chown root:utmp var/log/wtmp.new
chmod 664 var/run/utmp.new


config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/fstab.new
config etc/group.new
config etc/gshadow.new
config etc/hosts.new
config etc/inputrc.new
config etc/issue.net.new
config etc/issue.new
config etc/ld.so.conf.new
config etc/motd.new
config etc/mtab.new
config etc/nsswitch.conf.new
config etc/passwd.new
config etc/printcap.new
config etc/profile.d/lang.sh.new
config etc/profile.new
config etc/securetty.new
config etc/services.new
config etc/shadow.new
config etc/shells.new
config etc/termcap.new
config var/log/wtmp.new
config var/log/lastlog.new
config var/run/utmp.new

